%{?nodejs_find_provides_and_requires}

%global packagename array-filter
%global enable_tests 1

Name:		nodejs-array-filter
Version:	1.0.0
Release:	1%{?dist}
Summary:	Array#filter for older browsers

License:	MIT
# license text is in README.md
URL:		https://github.com/juliangruber/array-filter.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(tape)
%endif

%description
Array#filter for older browsers.


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/tape test/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Tue Nov 10 2015 Jared Smith <jsmith@fedoraproject.org> - 1.0.0-1
- Initial packaging
